Subject: [e2md] Comment on requirements writeup: access control

From: Dean Willis <[email-masked]>
Date: Wed, 7 Apr 2010 02:44:29 -0500

1.1.2 Mechanisms for controlling access
The alternate mechanisms for controlling access to data include:

a. indirection - some data is made public but only acts as a key,  
possibly along with other known data, into a private database.
b. source differentiation - a public or private database that  
validates the source that makes the requests and returns specific data  
for that source
c. private database - a wholly private database that access is only  
granted to by contractual agreement and on which all the data is the  
same (so no source differentiation).

We've also seen proposed:

d. selective encryption - private records are encrypted with a key  
known to the authorized node.